#
# spec file for package openjade (Version 1.3.2)
#
# Copyright (c) 2004 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  gpp libgpp opensp opensp-devel
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gcc-c++ gdbm gettext libstdc++-devel libtool opensp opensp-devel perl rpm

Name:         openjade
License:      X11/MIT
Group:        Productivity/Publishing/SGML
Autoreqprov:  on
Version:      1.3.2
Release:      165
Summary:      DSSSL-Engine for SGML documents
Source:       http://switch.dl.sourceforge.net/sourceforge/openjade/openjade-1.3.2.tar.bz2
Source1:      jade_style-sheet.dtd
Source2:      %{name}-README.SuSE
Patch:        openjade-1.3.1-autoconf.dif
Patch3:       http://www.astro.gla.ac.uk/users/norman/distrib/openjade-1.3-starlink-0.1.patch
Patch5:       valid_fo_patch2.gz
# Conflicts: jade_dsl
Obsoletes:    jade_dsl
Provides:     jade jade_dsl
Requires:     opensp
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
URL:          http://openjade.sourceforge.net/
%define regcat /usr/bin/sgml-register-catalog
PreReq:       %{regcat}

%description
OpenJade, the follower of Jade by James Clark, is an implementation of
the ISO/IEC 10179:1996 standard DSSSL language (Document Style,
Semantics and Specification Language); pronounce it as "dissl" -- it
rimes with whistle.

It has backends for SGML, RTF, MIF, TeX, and HTML.

The parser "nsgmls" and helper tools like "sgmlnorm", "spam", "spent",
and "sx" are now included in the separate package "opensp".



Authors:
--------
    Avi Kivity
    Cees de Groot   <cg@sgmltools.org>
    David Megginson <dmeggins@microstar.com>
    Didier PH Martin
    Ian Castle <icastle@users.sourceforge.net>
    James Clark     <jjc@jclark.com>
    Kathleen Marszalek
    Matthias Clasen <clasen@mathematik.uni-freiburg.de>
    Paul Prescod    <papresco@calum.csclub.uwaterloo.ca>
    Peter Nilsson
    Sebastian Rahtz <s.rahtz@elsevier.co.uk>

%package devel
Summary:      DSSSL Engine (development package)
Group:        Productivity/Publishing/SGML
Requires:     openjade

%description devel
Libraries and includes to compile applications that use the OpenJade
framework (package 'openjade').



Authors:
--------
    Avi Kivity
    Cees de Groot   <cg@sgmltools.org>
    David Megginson <dmeggins@microstar.com>
    Didier PH Martin
    Ian Castle <icastle@users.sourceforge.net>
    James Clark     <jjc@jclark.com>
    Kathleen Marszalek
    Matthias Clasen <clasen@mathematik.uni-freiburg.de>
    Paul Prescod    <papresco@calum.csclub.uwaterloo.ca>
    Peter Nilsson
    Sebastian Rahtz <s.rahtz@elsevier.co.uk>

%define INSTALL install -m755 -s
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%define sgml_dir %{_datadir}/sgml
%define sgml_dir_pkg %{sgml_dir}/%{name}
%define sgml_var_dir /var/lib/sgml
%prep
%setup -q
# -n %{name}-1.3.2-rc2
cp %{S:1} dsssl
cp %{S:2} README.SuSE
%patch -b .autoconf
# %setup -n jade-1.2.1 -b 1 -T -D
# %patch5 -p 1

%build
# export CXXFLAGS='-O'
export CXXFLAGS="$RPM_OPT_FLAGS"
# export CXXFLAGS="-g -march=i486 -mcpu=i686"
# export DEFAULT_SCHEME_BUILTINS=/usr/share/sgml/openjade/builtins.dsl
# % {?suse_update_config:% {suse_update_config config}}
rm -fv aclocal.m4 missing
[ -r config/configure.in ] && mv config/configure.in .
libtoolize --force
aclocal -I config
#automake --force --copy
# libtoolize --copy --force
autoconf --force
# # not using autoconf, because we don't have Makefile.am and that is
# # the only way to pass flags to aclocal called by autoreconf
# autoreconf --force --install -I config
./configure --prefix=%{_prefix} \
  --libdir=%{_libdir} \
  --mandir=%{_mandir} \
  --datadir=%{sgml_dir}/openjade \
  --enable-splibdir=%_libdir \
  --enable-http \
  --enable-mif \
  --enable-default-catalog="CATALOG:/etc/sgml/catalog:%{sgml_dir}/CATALOG"
# [ -r jade/openjade.orig ] && mv jade/openjade.orig jade/openjade
make
# # now start building the debug version
# mv jade/openjade jade/openjade.orig
# zcat %{P:5} | patch -s -p 1
# make
# mv jade/openjade jade/openjade-valid-fo
# mv jade/openjade.orig jade/openjade

%install
[ "$RPM_BUILD_ROOT" != "" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
%{INSTALL_DIR} $RPM_BUILD_ROOT%{_libdir} \
  $RPM_BUILD_ROOT%{sgml_dir}/%{name} \
  $RPM_BUILD_ROOT%{_includedir}/%{name}
make install DESTDIR=$RPM_BUILD_ROOT
ln -sf openjade $RPM_BUILD_ROOT/usr/bin/jade
[ -r jade/openjade-valid-fo ] && install -s jade/openjade-valid-fo $RPM_BUILD_ROOT%{_bindir}
make install-man DESTDIR=$RPM_BUILD_ROOT
pushd $RPM_BUILD_ROOT%{_mandir}
# find . ! -name 'jade*' -exec rm -f {} \;
pushd man1 && ln -sf openjade.1 jade.1 && popd
popd
/sbin/ldconfig -n $RPM_BUILD_ROOT%{_libdir}
# %{INSTALL_DATA} include/*.* $RPM_BUILD_ROOT%{_includedir}/%{name}
%{INSTALL_DATA} generic/*.h $RPM_BUILD_ROOT%{_includedir}/%{name}
%{INSTALL_DATA} grove/Node.h $RPM_BUILD_ROOT%{_includedir}/%{name}
%{INSTALL_DATA} spgrove/GroveApp.h \
                spgrove/GroveBuilder.h $RPM_BUILD_ROOT%{_includedir}/%{name}
%{INSTALL_DATA} style/FOTBuilder.h style/GroveManager.h \
                style/DssslApp.h style/dsssl_ns.h \
                $RPM_BUILD_ROOT%{_includedir}/%{name}
# pushd $RPM_BUILD_ROOT%{_mandir}/man1
# popd
# pushd $RPM_BUILD_ROOT%{_bindir}
# popd
# %{INSTALL_DIR} $RPM_BUILD_ROOT/etc/profile.d
# %{INSTALL_DATA} jade_dsl.sh $RPM_BUILD_ROOT/etc/profile.d
%{INSTALL_DIR} $RPM_BUILD_ROOT%{sgml_dir_pkg}
# comes with opensp:
# %{INSTALL_DATA} japan.sgmldecl $RPM_BUILD_ROOT%{sgml_dir_pkg}/japan.dcl
# %{INSTALL_DATA} pubtext/xml.dcl $RPM_BUILD_ROOT%{sgml_dir_pkg}/xml.dcl
# sed 's|decl|dcl|' pubtext/xml.soc > $RPM_BUILD_ROOT%{sgml_dir_pkg}/xml.soc
pushd dsssl
%{INSTALL_DATA} catalog dsssl.dtd extensions.dsl fot.dtd style-sheet.dtd \
  builtins.dsl jade_style-sheet.dtd $RPM_BUILD_ROOT%{sgml_dir_pkg}
%{INSTALL_DIR} $RPM_BUILD_ROOT%{sgml_var_dir}
sed 's:"\([^"]*\(dtd\|dsl\)\)"$:"%{sgml_dir_pkg}/\1":' catalog \
  > $RPM_BUILD_ROOT%{sgml_var_dir}/CATALOG.%{name}
ln -sf CATALOG.%{name} $RPM_BUILD_ROOT%{sgml_var_dir}/CATALOG.jade_dsl
cd $RPM_BUILD_ROOT%{sgml_dir} \
  && ln -sf ../../..%{sgml_var_dir}/CATALOG.%{name} CATALOG.%{name} \
  && ln -sf ../../..%{sgml_var_dir}/CATALOG.%{name} CATALOG.jade_dsl
popd
%{INSTALL_DIR} $RPM_BUILD_ROOT%{sgml_dir}/James_Clark/dtd
%{INSTALL_DIR} $RPM_BUILD_ROOT%{sgml_dir}/OpenJade/dtd
%{INSTALL_DIR} $RPM_BUILD_ROOT%{sgml_dir}/ISO_IEC_10179:1996/dtd
(cd $RPM_BUILD_ROOT%{sgml_dir}/James_Clark/dtd \
   && ln -sf ../../$RPM_PACKAGE_NAME/jade_style-sheet.dtd DSSSL_Style_Sheet \
   && ln -sf ../../$RPM_PACKAGE_NAME/fot.dtd DSSSL_Flow_Object_Tree)
(cd $RPM_BUILD_ROOT%{sgml_dir}/OpenJade/dtd \
   && ln -sf ../../$RPM_PACKAGE_NAME/style-sheet.dtd DSSSL_Style_Sheet)
(cd $RPM_BUILD_ROOT%{sgml_dir}/ISO_IEC_10179:1996/dtd \
   && ln -sf ../../$RPM_PACKAGE_NAME/dsssl.dtd DSSSL_Architecture)
# for compatibility with SL <= 8.1
pushd $RPM_BUILD_ROOT%{sgml_dir}
  pushd %{name}
  ln -s ../opensp/japan.dcl .
  ln -s ../opensp/opensp-implied.dcl sp_implied.dcl
  ln -s ../opensp/xml.dcl .
  ln -s ../opensp/xml.soc .
  for d in *.dcl; do
    ln -sf $d ${d/.dcl/.decl}
  done
  popd
popd
rm -fr html
cp -a jadedoc html
echo "\
<a href=\"README.SuSE\">README.SuSE</a>
<a href=\"html/index.htm\">OpenJade documentation</a> (html)" > index.html

%post
if [ -x %{regcat} ]; then
  %{regcat} -a %{sgml_dir}/CATALOG.%{name} >/dev/null 2>&1
fi
exit 0

%postun
if [ "$1" = "0" -a -x %{regcat} ]; then
  %{regcat} -r %{sgml_dir}/CATALOG.%{name} >/dev/null 2>&1
fi
exit 0

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc COPYING NEWS README*
%doc index.html html
%doc dsssl develdoc testsuite
%doc japan.sgmldecl
%doc releasenotes.{html,pdf}
%{sgml_dir}/openjade
%{_bindir}/*jade*
# %{_mandir}/*/*jade*
%{_mandir}/*/*
# %config /etc/profile.d/jade_dsl.sh
%{sgml_dir}/CATALOG.%{name}
%config %{sgml_var_dir}/CATALOG.%{name}
#for compatibility <= 8.1
%{sgml_dir}/CATALOG.jade_dsl
%{sgml_var_dir}/CATALOG.jade_dsl
%{sgml_dir}/ISO_IEC_10179:1996
%{sgml_dir}/James_Clark
%{sgml_dir}/OpenJade
%{_libdir}/lib*.so.*

%files devel
%{_includedir}/%{name}
%{_libdir}/lib*.so
%{_libdir}/*a

%changelog -n openjade
* Mon Oct 06 2003 - kukuk@suse.de
- Remove sgml-skel from needed for build
* Wed May 21 2003 - ke@suse.de
- Install jade manpage properly [# 26995]; reported by Tomas Kouba.
- Use %%postun and remove actalog entry on update only.
* Mon May 12 2003 - ro@suse.de
- run libtoolize
* Mon Feb 17 2003 - ke@suse.de
- Remove aclocal.m4 and missing before calling aclocal; reported by Olaf
  Hering.
* Thu Feb 06 2003 - ke@suse.de
- Register CATALOG.openjade in /etc/sgml/catalog; reported by Marcus
  Meissner.
* Thu Jan 30 2003 - ke@suse.de
- Stop providing the jade_dsl compatibility link in /usr/share/sgml.
- Add README.SuSE: it explains how to create the link if wanted.
* Mon Dec 02 2002 - ke@suse.de
- Update to 1.3.2:
  * Minor fixes to MIF backend.
  * Correct typo in definition of "attribute" in builtin.dsl.
  * Fix quoted of ampersand in XML/SGML transformations.
* Wed Nov 27 2002 - ke@suse.de
- Link against %%_libdir.
* Tue Nov 26 2002 - ke@suse.de
- Update to version 1.3.2rc2.
- Make opensp/opensp-devel a package on its own; provide openjade-devel
  as a subpackage.
- Provide compatibility links with jade_dsl (these links will go away
  on SuSE Linux 9.0).
* Mon Nov 11 2002 - ke@suse.de
- Create subpackage opensp-devel (from opensp).
- Fix various jade_dsl compatibility issues.
* Fri Nov 08 2002 - ke@suse.de
- Prepare package as the default DSSSL engine on SuSE Linux, replacing
  jade_dsl; provide links for compatibility.
- Create subpackage 'opensp'.
- Add, but don't activate valid_fo_patch2.gz, provided by N. Lundblad,
  Peter.
* Wed Aug 21 2002 - ke@suse.de
- Rename 'sx' man page to 's2x' resp. 'osgml2xml'.
- Don't install files under /usr/share/sgml conflicting with jade_dsl.
* Mon Aug 19 2002 - ke@suse.de
- Install man pages; reported by Ian Castle [# 18047].
* Fri Jun 21 2002 - ke@suse.de
- openjade-dtddecl-warning.diff: Remove DTDDECL warning (cf. jade_dsl).
- Add convenience links again (take over from jade_dsl) [# 4413].
* Fri Apr 19 2002 - ro@suse.de
- work around linking problem with undefined
  Options<char>::Options[in-charge](int, char* const*, char const*)
* Tue Apr 09 2002 - ro@suse.de
- build with latest automake/autoconf
* Mon Feb 11 2002 - schwab@suse.de
- Remove workaround for ia64.
- Simplify config cleanup a bit.
* Mon Feb 11 2002 - ke@suse.de
- Update to version 1.3.1 (thus most of our config and build patches
  are superfluous):
- Improve Tex back end; table processing works by far better now.
- Fopr more info cf. release notes in the documentation directory.
- Don't apply latex back end patch.
* Tue Jun 12 2001 - schwab@suse.de
- Use namespaces with gcc 3.0.
- Fix configure script.
* Wed May 09 2001 - mfabian@suse.de
- bzip2 sources
* Wed Feb 21 2001 - mmj@suse.de
- Fixed to build on S/390 (yes, I know it's ugly so if someone
  have a cleaner solution, let me know)
* Mon Jan 29 2001 - ke@suse.de
- Apply latex backend patch.
- Use more rpm macros.
* Sun Dec 10 2000 - schwab@suse.de
- Fix visibility bugs.
* Thu Nov 23 2000 - ke@suse.de
- Don't install convenience links (at the moment they are useless)
  [partially fix for #4413].
* Wed Nov 15 2000 - ke@suse.de
- Add group tag.
- Use spec file macros.
* Fri May 12 2000 - schwab@suse.de
- Fix for ia64.
* Fri Oct 29 1999 - ke@suse.de
- Install `builtins.dsl'.
* Mon Oct 25 1999 - ke@suse.de
- Initial package: version 1.3 (bug #172 resolved).
